Bug 836269 - systemd timeout on cloud-init scripts
systemd timeout on cloud-init scripts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 10:22 EDT by Tomas Sedovic
Modified: 2012-09-26 05:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 02:20:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Sedovic 2012-06-28 10:22:10 EDT
If the init script takes longer than 90 seconds to finish (e.g. package installation & provisioning on slow network), it gets killed by systemd.

Adding `TimeoutSec=0` to cloud-final.service[1] seems to fix the problem.

Version-Release number of selected component (if applicable):

Version     : 0.6.3
Release     : 0.2.bzr532.fc17

This happens both on Fedora 16 and 17.

[1]: http://bazaar.launchpad.net/~cloud-init-dev/cloud-init/trunk/view/head:/systemd/cloud-final.service
Comment 1 Fedora Update System 2012-09-14 08:21:13 EDT
cloud-init-0.6.3-0.5.bzr532.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.5.bzr532.fc16
Comment 2 Fedora Update System 2012-09-14 08:24:24 EDT
cloud-init-0.6.3-0.5.bzr532.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.5.bzr532.fc17
Comment 3 Fedora Update System 2012-09-14 08:25:43 EDT
cloud-init-0.6.3-0.5.bzr532.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.5.bzr532.fc18
Comment 4 Fedora Update System 2012-09-16 13:12:27 EDT
Package cloud-init-0.6.3-0.5.bzr532.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cloud-init-0.6.3-0.5.bzr532.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13972/cloud-init-0.6.3-0.5.bzr532.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-25 02:20:35 EDT
cloud-init-0.6.3-0.5.bzr532.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-09-26 04:48:35 EDT
cloud-init-0.6.3-0.5.bzr532.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-26 05:03:39 EDT
cloud-init-0.6.3-0.5.bzr532.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.